Subject: Re: bug#77709: Restoring the Hurd on core-packages-team branch

From: [email-masked]
Date: Mon, 28 Apr 2025 16:28:31 +0200 (CEST)

Hello,

Apr 25, 2025, 17:46 by [email-masked]:

> Hi,
>
>> This is now fixed in glibc for symlink see 39183b953c68a489cc0b9aefb8974711c834fb38 but should probably be added to glibc/hurd.
>>
>
> Would you like to prepare a patch for Guix adding this patch to glibc?
>
Sure, I can do that. 

I mentioned in the first message that at least 2 other glibc patches are needed as well as currently bison is segfaulting immediately  . With these it is only crashing in 3 tests and I have not yet looked if there are another (glibc) patches that would fix those aswell.

> Actually, on ‘core-packages-team’, we should merge ‘glibc’ and
> ‘glibc/hurd’ since they only differ by Hurd-specific patches.
>

That would be great but I would love to have the bison issue fully solved before to not cause inconveniences for the linux builds. I have not yet looked into this though.
> Thanks,
> Ludo’.